
# TxValidator::validate 

### Usage

> ?Tx TxValidator::validate(Tx $tx)

### Description

> Validate

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
tx | Yes | Tx |

### Return
> ?Tx 
### See Also

* [checkAccountId()](checkaccountid)
* [checkAdapter()](checkadapter)
* [checkAmount()](checkamount)
* [checkCurrency()](checkcurrency)


